cGit-UI for Git Repositories

cGit-UI – is a web interface for Git Repositories. cGit CGI script is writen in C and therefore it's fast enough

3 Commits   0 Branches   1 Tag
author: kx <kx@radix.pro> 2023-03-24 03:51:10 +0300 committer: kx <kx@radix.pro> 2023-03-24 03:51:10 +0300 commit: 05d292b208dfe01324826b4c87bbc4da3389a0d5 parent: 40ab18a661ff6ada40e73969be293918d346a2f5
Commit Summary:
Version 0.1.7
Diffstat:
4 files changed, 105 insertions, 0 deletions
diff --git a/doc/build-packages/slackware/README b/doc/build-packages/slackware/README
new file mode 100644
index 0000000..d89f753
--- /dev/null
+++ b/doc/build-packages/slackware/README
@@ -0,0 +1,7 @@
+
+cgit-ui (a web interface for Git repositories)
+
+cGit-ui CGI Script is a web interface for browsing Git
+repositories.
+
+Homepage: https://csvn.radix.pro
diff --git a/doc/build-packages/slackware/cgit-ui.SlackBuild b/doc/build-packages/slackware/cgit-ui.SlackBuild
new file mode 100644
index 0000000..c356cae
--- /dev/null
+++ b/doc/build-packages/slackware/cgit-ui.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/bash
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=cgit-ui
+VERSION=${VERSION:-$(echo cgit-ui-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-2}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+  case "$( uname -m )" in
+    i?86) export ARCH=i586 ;;
+    arm*) export ARCH=arm ;;
+    # Unless $ARCH is already set, use uname -m for all other archs:
+       *) export ARCH=$( uname -m ) ;;
+  esac
+fi
+
+if [ "$ARCH" = "i586" ]; then
+  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
+else
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
+cd $PKGNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+  --prefix=/usr \
+  --sysconfdir=/etc \
+  --libdir=/usr/lib${LIBDIRSUFFIX} \
+  --with-scriptdir=/srv/www/htdocs/cgit \
+  --build=$ARCH-slackware-linux || exit 1
+
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+  | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mv $PKG/usr/share/man $PKG/usr/
+gzip -9 $PKG/usr/man/man?/*
+rmdir $PKG/usr/share/man
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+  ChangeLog LICENSE README README.md doc \
+  $PKG/usr/doc/$PKGNAM-$VERSION
+
+cp -a $CWD/$PKGNAM.info        $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a $CWD/$PKGNAM.SlackBuild  $PKG/usr/doc/$PKGNAM-$VERSION
+
+# If there's a ChangeLog file, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+  DOCSDIR=$(echo $PKG/usr/doc/*-$VERSION)
+  cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+  touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/doc/build-packages/slackware/cgit-ui.info b/doc/build-packages/slackware/cgit-ui.info
new file mode 100644
index 0000000..e999235
--- /dev/null
+++ b/doc/build-packages/slackware/cgit-ui.info
@@ -0,0 +1,10 @@
+PRGNAM="cgit-ui"
+VERSION="0.1.7"
+HOMEPAGE="http://csvn.radix.pro"
+DOWNLOAD="https://ftp.radix.pro/pub/cgit-ui/cgit-ui-0.1.7.tar.xz"
+MD5SUM="..Check MD5 sum before Building Package.."
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="cscm md4c libpcre2-8 libpcre2-32 libgit2"
+MAINTAINER="Andrey V.Kosteltsev"
+EMAIL="kx@radix.pro"
diff --git a/doc/build-packages/slackware/slack-desc b/doc/build-packages/slackware/slack-desc
new file mode 100644
index 0000000..f256466
--- /dev/null
+++ b/doc/build-packages/slackware/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+       |-----handy-ruler------------------------------------------------------|
+cgit-ui: cgit-ui (a web interface for Git repositories)
+cgit-ui:
+cgit-ui: cGit-ui CGI Script is a web interface for browsing Git
+cgit-ui: repositories.
+cgit-ui:
+cgit-ui:
+cgit-ui: Homepage: https://csvn.radix.pro
+cgit-ui:
+cgit-ui:
+cgit-ui:
+cgit-ui: